<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* adminAdministratorsModal.twig */
class __TwigTemplate_955c52789a7c596545dcc8ff29fdb983ff6f35e7076c4df3206c6ad086458365 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 1
        echo "<!DOCTYPE html>
<html lang=\"fr\">
    <head>
        <title>Maths Educ</title>
        <meta charset=\"UTF-8\">
        <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">
        <link href=\"https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css\" rel=\"stylesheet\" integrity=\"sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN\" crossorigin=\"anonymous\">
        </script>

        <style>
            @font-face {
                font-family: 'MenuFont';
                src: url('Media/mathEducFont.ttf') format('truetype');
            }

            * {
                font-family: 'MenuFont';
            }
        </style>
    </head>

    <body>
        <div class=\"modal fade\" id=\"modalUpdateAdministrators\">
            <div class=\"modal-dialog\" role=\"document\">
                <div class=\"modal-content\">
                    <div class=\"modal-header\">
                        <h5 class=\"modal-title\" id=\"exampleModalLabel\">Modifier un administrateur</h5>
                    </div>
                    <form method=\"POST\" action=\"/admin/administrators/update\">
                        <div class=\"modal-body\">
                            <div class=\"form-group\">
                                <input type=\"hidden\" class=\"form-control\" id=\"updateId\" name=\"id\">
                            </div>
                            <div class=\"form-group\">
                                <label for=\"username\">Nom d'utilisateur :</label>
                                <input type=\"text\" class=\"form-control\" id=\"updateUsername\" name=\"username\">
                            </div>
                            <div class=\"form-group\">
                                <label for=\"password\">Mot de passe :</label>
                                <input type=\"password\" class=\"form-control\" id=\"updatePassword\" name=\"password\">
                            </div>
                        </div>
                        <div class=\"modal-footer\">
                            <button type=\"button\" class=\"btn btn-secondary\" data-bs-dismiss=\"modal\">Fermer</button>
                            <button type=\"submit\" class=\"btn btn-primary\">Enregistrer</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <script src=\"https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js\"></script>
        
        <script>
                if (";
        // line 55
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["administrator"] ?? null), "id", [], "any", false, false, false, 55), "html", null, true);
        echo " != 0) {
                    window.onload = showModal();

                    function showModal() {
                        var modal = new bootstrap.Modal(document.getElementById('modalUpdateAdministrators'));

                        var id = document.getElementById('updateId');
                        var username = document.getElementById('updateUsername'); 
                        var password = document.getElementById('updatePassword');

                        id.value = \"";
        // line 65
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["administrator"] ?? null), "id", [], "any", false, false, false, 65), "html", null, true);
        echo "\";
                        username.value = \"";
        // line 66
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["administrator"] ?? null), "username", [], "any", false, false, false, 66), "html", null, true);
        echo "\";
                        password.value = \"";
        // line 67
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["administrator"] ?? null), "password", [], "any", false, false, false, 67), "html", null, true);
        echo "\";

                        modal.show();
                    }
                }
        </script>
    </body>
</html>
";
    }

    public function getTemplateName()
    {
        return "adminAdministratorsModal.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  114 => 67,  110 => 66,  106 => 65,  93 => 55,  37 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("", "adminAdministratorsModal.twig", "C:\\MAMP\\htdocs\\3.01-QCM_MuscuMaths\\Website\\templates\\adminAdministratorsModal.twig");
    }
}
